com.google.gwt.dom.builder.shared

## Class HtmlParamBuilder

- java.lang.Object
- - com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
  - - com.google.gwt.dom.builder.shared.HtmlElementBuilderBase<ParamBuilder>
    - - com.google.gwt.dom.builder.shared.HtmlParamBuilder

All Implemented Interfaces:
  ElementBuilderBase<ParamBuilder>, ParamBuilder

    public class HtmlParamBuilder
    extends HtmlElementBuilderBase<ParamBuilder>
    implements ParamBuilder

HTML-based implementation of `ParamBuilder`.

### Constructor Summary

Constructors
Constructor and Description
`HtmlParamBuilder(HtmlBuilderImpl delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ParamBuilder` `name(java.lang.String name)` The name of a run-time parameter.
`ParamBuilder` `value(java.lang.String value)` The value of a run-time parameter.

### Methods inherited from class com.google.gwt.dom.builder.shared.HtmlElementBuilderBase

`asSafeHtml, attribute, attribute, className, dir, draggable, endTitle, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTitle, startTR, startUList, startVideo, tabIndex, title, trustedAttribute, trustedAttribute, trustedStart`

### Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

### Constructor Detail

#### HtmlParamBuilder

    HtmlParamBuilder(HtmlBuilderImpl delegate)

### Method Detail

#### name

    public ParamBuilder name(java.lang.String name)

Description copied from interface: `ParamBuilder`
The name of a run-time parameter.

Specified by:
  `name` in interface `ParamBuilder`
See Also:
  W3C HTML Specification

#### value

    public ParamBuilder value(java.lang.String value)

Description copied from interface: `ParamBuilder`
The value of a run-time parameter.

Specified by:
  `value` in interface `ParamBuilder`
See Also:
  W3C HTML Specification